# Define attributes for Person object
$PersonAttributes = @(
	"name=UniqueID,type=String,anchor=true,multivalue=false";
	"name=FirstName,type=String,anchor=false,multivalue=false";
	"name=LastName,type=String,anchor=false,multivalue=false";
	"name=Company,type=String,anchor=false,multivalue=false";
	"name=Department,type=String,anchor=false,multivalue=false";
	"name=Locations,type=String,anchor=false,multivalue=true";
	"name=Roles,type=String,anchor=false,multivalue=true";
	)

#Define person object
$Person = @{"objType" = "Person"; "attributes" = $PersonAttributes}

# Define attributes for Group object
$GroupAttributes = @(
	"name=UniqueID,type=String,anchor=true,multivalue=false";
	"name=DisplayName,type=String,anchor=false,multivalue=false";
	"name=members,type=String,anchor=false,multivalue=true";
	)

#Define group object
$Group = @{"objType" = "Group"; "attributes" = $GroupAttributes}


#Return objects
$Person
$Group