PARAM([int]$PageSize,[int]$ImportLastCount)

$RoleSet2 = @("HR", "Admin", "Payrole")
$RoleSet1 = @("IT", "Helpdesk", "Support")
$DepartmentCodes1 = @([int]1,[int]5,[int]9.5)
$DepartmentCodes2 = @([int]20,[int]70,[int]100)

$MaxResult = 50

for ($i=$ImportLastCount; $i -le ($ImportLastCount+$PageSize-1) -and ($i -lt $MaxResult); $i++)
{
    $csObject = @{}
    $csObject.Add(".objectType","Person")
    $csObject.Add(".ObjectModificationType","Update")
    $csObject.Add("UniqueID","PSTest$i")
    #$csObject.Add("Department|Replace","TestDepartment$i")
    $csObject.Add("Department|delete","")
    $csObject.Add("Roles|Insert",$RoleSet1)
    $csObject.Add("Roles|Remove",$RoleSet2)
    $csObject.Add("employeeID",[int]$i)
    $csObject.Add("enabled",$true)
    $csObject.Add("departmentcodes",$DepartmentCodes1)
    $csObject
}