PARAM([string]$RunStepType,[int]$PageSize,[int]$ImportLastCount)

#Input Parameters
#
#RunStepType = Delta,Full,FullObject
#PageSize = Maximum amount of objects to return each time
#ImportLastCount = Zero based number pointing to next object to import
#

$DepartmentCodes1 = @([int]1,[int]5,[int]9.5)
$DepartmentCodes2 = @([int]20,[int]70,[int]100)
$Roles = @("IT", "Helpdesk", "Support")
$MaxResult = 50

for ($i=$ImportLastCount; $i -le ($ImportLastCount+$PageSize-1) -and ($i -lt $MaxResult); $i++)
{
    $csObject = @{}
    $csObject.Add(".objectType","Person")
    $csObject.Add(".ObjectModificationType","Add")
    $csObject.Add("FirstName","PSTest$i")
    $csObject.Add("LastName","User$i")
    $csObject.Add("UniqueID","PSTest$i")
    $csObject.Add("Roles",$Roles)
    $csObject.Add("Department","Department$1")
    $csObject.Add("employeeID",[int]$i)
    $csObject.Add("enabled",$true)
    $csObject.Add("departmentcodes",$DepartmentCodes1)
    $csObject
}