﻿using System;
using System.IO;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using Microsoft.ResourceManagement.Workflow.Activities;
using Microsoft.ResourceManagement.WebServices.WSResourceManagement;
using System.Diagnostics;
using System.Text.RegularExpressions;
using System.Management.Automation;
using System.Management.Automation.Runspaces;
using FIM.Extensions.Common.Library;
using System.Security;

namespace FIMActivitiesLibrary
{
    public partial class PowershellActivity : SequenceActivity
    {
        public PowershellActivity()
        {
            InitializeComponent();
        }

        #region Regular Expressions
        Regex guidRegEx = new Regex("^*[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}", RegexOptions.CultureInvariant);
        Regex parameterRegEx = new Regex("\\x5B/[a-öA-Ö0-9_\\x2F\\x2D\\x22\\x27]*\\x5D", RegexOptions.CultureInvariant);
        #endregion

        #region readResourceActivity

        public static DependencyProperty readResourceActivity1_ActorId1Property = DependencyProperty.Register("readResourceActivity1_ActorId1", typeof(System.Guid), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Guid readResourceActivity1_ActorId1
        {
            get
            {
                return ((System.Guid)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_ActorId1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_ActorId1Property, value);
            }
        }

        public static DependencyProperty readResourceActivity1_Resource1Property = DependencyProperty.Register("readResourceActivity1_Resource1", typeof(Microsoft.ResourceManagement.WebServices.WSResourceManagement.ResourceType), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Microsoft.ResourceManagement.WebServices.WSResourceManagement.ResourceType readResourceActivity1_Resource1
        {
            get
            {
                return ((Microsoft.ResourceManagement.WebServices.WSResourceManagement.ResourceType)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_Resource1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_Resource1Property, value);
            }
        }

        public static DependencyProperty readResourceActivity1_ResourceId1Property = DependencyProperty.Register("readResourceActivity1_ResourceId1", typeof(System.Guid), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Guid readResourceActivity1_ResourceId1
        {
            get
            {
                return ((System.Guid)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_ResourceId1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_ResourceId1Property, value);
            }
        }

        public static DependencyProperty readResourceActivity1_SelectionAttributes1Property = DependencyProperty.Register("readResourceActivity1_SelectionAttributes1", typeof(System.String[]), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public String[] readResourceActivity1_SelectionAttributes1
        {
            get
            {
                return ((string[])(base.GetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_SelectionAttributes1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.readResourceActivity1_SelectionAttributes1Property, value);
            }
        }
        #endregion

        #region updateResourceActivity
        public static DependencyProperty updateResourceActivity1_ActorId1Property = DependencyProperty.Register("updateResourceActivity1_ActorId1", typeof(System.Guid), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Guid updateResourceActivity1_ActorId1
        {
            get
            {
                return ((System.Guid)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ActorId1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ActorId1Property, value);
            }
        }

        public static DependencyProperty updateResourceActivity1_ApplyAuthorizationPolicy1Property = DependencyProperty.Register("updateResourceActivity1_ApplyAuthorizationPolicy1", typeof(System.Boolean), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Boolean updateResourceActivity1_ApplyAuthorizationPolicy1
        {
            get
            {
                return ((bool)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ApplyAuthorizationPolicy1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ApplyAuthorizationPolicy1Property, value);
            }
        }

        public static DependencyProperty updateResourceActivity1_ResourceId1Property = DependencyProperty.Register("updateResourceActivity1_ResourceId1", typeof(System.Guid), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public Guid updateResourceActivity1_ResourceId1
        {
            get
            {
                return ((System.Guid)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ResourceId1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_ResourceId1Property, value);
            }
        }

        public static DependencyProperty updateResourceActivity1_UpdateParameters1Property = DependencyProperty.Register("updateResourceActivity1_UpdateParameters1", typeof(Microsoft.ResourceManagement.WebServices.WSResourceManagement.UpdateRequestParameter[]), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Parameters")]
        public UpdateRequestParameter[] updateResourceActivity1_UpdateParameters1
        {
            get
            {
                return ((Microsoft.ResourceManagement.WebServices.WSResourceManagement.UpdateRequestParameter[])(base.GetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_UpdateParameters1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.updateResourceActivity1_UpdateParameters1Property, value);
            }
        }
        #endregion

        #region currentRequestActivity DeendencyProperty

        public static DependencyProperty currentRequestActivity1_CurrentRequest1Property = DependencyProperty.Register("currentRequestActivity1_CurrentRequest1", typeof(Microsoft.ResourceManagement.WebServices.WSResourceManagement.RequestType), typeof(FIMActivitiesLibrary.PowershellActivity));

        [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
        [BrowsableAttribute(true)]
        [CategoryAttribute("Misc")]
        public Microsoft.ResourceManagement.WebServices.WSResourceManagement.RequestType currentRequestActivity1_CurrentRequest1
        {
            get
            {
                return ((Microsoft.ResourceManagement.WebServices.WSResourceManagement.RequestType)(base.GetValue(FIMActivitiesLibrary.PowershellActivity.currentRequestActivity1_CurrentRequest1Property)));
            }
            set
            {
                base.SetValue(FIMActivitiesLibrary.PowershellActivity.currentRequestActivity1_CurrentRequest1Property, value);
            }
        }

        #endregion

        //Usage:
        //All dependency properties used with ActivitySettingsPart
        #region ActivitySettingsParts DependencyProperties

        public static DependencyProperty powershellCmdLetPluginsProperty = DependencyProperty.Register("powershellCmdLetPlugins", typeof(string), typeof(PowershellActivity));

        [Description("powershellCmdLetPlugins")]
        [Category("powershellCmdLetPlugins Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string powershellCmdLetPlugins
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.powershellCmdLetPluginsProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.powershellCmdLetPluginsProperty, value);
            }
        }

        public static DependencyProperty enableActivityProperty = DependencyProperty.Register("enableActivity", typeof(bool), typeof(PowershellActivity));

        [Description("enableActivity")]
        [Category("enableActivity Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public bool enableActivity
        {
            get
            {
                return ((bool)(base.GetValue(PowershellActivity.enableActivityProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.enableActivityProperty, value);
            }
        }

        public static DependencyProperty activityNameProperty = DependencyProperty.Register("activityName", typeof(string), typeof(PowershellActivity));

        [Description("activityName")]
        [Category("activityName Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string activityName
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.activityNameProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.activityNameProperty, value);
            }
        }
        public static DependencyProperty powershellParametersProperty = DependencyProperty.Register("powershellParameters", typeof(string), typeof(PowershellActivity));

        [Description("powershellParameters")]
        [Category("powershellParameters Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string powershellParameters
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.powershellParametersProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.powershellParametersProperty, value);
            }
        }

        public static DependencyProperty targetUpdateParametersProperty = DependencyProperty.Register("targetUpdateParameters", typeof(string), typeof(PowershellActivity));

        [Description("targetUpdateParameters")]
        [Category("targetUpdateParameters Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string targetUpdateParameters
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.targetUpdateParametersProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.targetUpdateParametersProperty, value);
            }
        }

        public static DependencyProperty ActorID_ReadProperty = DependencyProperty.Register("ActorID_Read", typeof(string), typeof(PowershellActivity));

        [Description("ActorID_Read")]
        [Category("ActorID_Read Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string ActorID_Read
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.ActorID_ReadProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.ActorID_ReadProperty, value);
            }
        }

        public static DependencyProperty ActorID_UpdateProperty = DependencyProperty.Register("ActorID_Update", typeof(string), typeof(PowershellActivity));

        [Description("ActorID_Update")]
        [Category("ActorID_Update Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string ActorID_Update
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.ActorID_UpdateProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.ActorID_UpdateProperty, value);
            }
        }

        public static DependencyProperty PowershellCmdLetFileProperty = DependencyProperty.Register("PowershellCmdLetFile", typeof(string), typeof(PowershellActivity));

        [Description("PowershellCmdLetFile")]
        [Category("PowershellCmdLetFile Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string PowershellCmdLetFile
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.PowershellCmdLetFileProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.PowershellCmdLetFileProperty, value);
            }
        }

        public static DependencyProperty PowershellCmdLetScriptProperty = DependencyProperty.Register("PowershellCmdLetScript", typeof(string), typeof(PowershellActivity));

        [Description("PowershellCmdLetScript")]
        [Category("PowershellCmdLetScript Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string PowershellCmdLetScript
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.PowershellCmdLetScriptProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.PowershellCmdLetScriptProperty, value);
            }
        }

        public static DependencyProperty RemoteServerProperty = DependencyProperty.Register("RemoteServer", typeof(string), typeof(PowershellActivity));

        [Description("RemoteServer")]
        [Category("RemoteServer Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string RemoteServer
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.RemoteServerProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.RemoteServerProperty, value);
            }
        }

        public static DependencyProperty RemoteUserProperty = DependencyProperty.Register("RemoteUser", typeof(string), typeof(PowershellActivity));

        [Description("RemoteUser")]
        [Category("RemoteUser Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string RemoteUser
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.RemoteUserProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.RemoteUserProperty, value);
            }
        }

        public static DependencyProperty RemotePasswordProperty = DependencyProperty.Register("RemotePassword", typeof(string), typeof(PowershellActivity));

        [Description("RemotePassword")]
        [Category("RemotePassword Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string RemotePassword
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.RemotePasswordProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.RemotePasswordProperty, value);
            }
        }

        public static DependencyProperty readTargetResourceIdParameterProperty = DependencyProperty.Register("readTargetResourceIdParameter", typeof(string), typeof(PowershellActivity));

        [Description("readTargetResourceIdParameter")]
        [Category("readTargetResourceIdParameter Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string readTargetResourceIdParameter
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.readTargetResourceIdParameterProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.readTargetResourceIdParameterProperty, value);
            }
        }

        public static DependencyProperty updateTargetResourceIdParameterProperty = DependencyProperty.Register("updateTargetResourceIdParameter", typeof(string), typeof(PowershellActivity));

        [Description("updateTargetResourceIdParameter")]
        [Category("updateTargetResourceIdParameter Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string updateTargetResourceIdParameter
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.updateTargetResourceIdParameterProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.updateTargetResourceIdParameterProperty, value);
            }
        }

        public static DependencyProperty loggingLevelProperty = DependencyProperty.Register("loggingLevel", typeof(int), typeof(PowershellActivity));

        [Description("loggingLevel")]
        [Category("loggingLevel Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public int loggingLevel
        {
            get
            {
                return ((int)(base.GetValue(PowershellActivity.loggingLevelProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.loggingLevelProperty, value);
            }
        }

        public static DependencyProperty eventLogNameProperty = DependencyProperty.Register("eventLogName", typeof(String), typeof(PowershellActivity));

        [Description("eventLogName")]
        [Category("eventLogName Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string eventLogName
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.eventLogNameProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.eventLogNameProperty, value);
            }
        }

        #endregion

        #region Shared DepencencyProperties

        //Usage: Determins if properties from target resource needs to to be fetched.
        public static DependencyProperty executeReadTargetResourceProperty = DependencyProperty.Register("executeReadTargetResource", typeof(bool), typeof(PowershellActivity));
        [Description("executeReadTargetResource")]
        [Category("executeReadTargetResource Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public bool executeReadTargetResource
        {
            get
            {
                return ((bool)(base.GetValue(PowershellActivity.executeReadTargetResourceProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.executeReadTargetResourceProperty, value);
            }
        }

        //Usage: Stores the result from powershell execution
        public static DependencyProperty resultHashTableProperty = DependencyProperty.Register("resultHashTable", typeof(Hashtable), typeof(PowershellActivity));
        [Description("resultHashTable")]
        [Category("resultHashTable Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public Hashtable resultHashTable
        {
            get
            {
                return ((Hashtable)(base.GetValue(PowershellActivity.resultHashTableProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.resultHashTableProperty, value);
            }
        }

        //Usage: Stores the runspace for executing powershell
        public static DependencyProperty powershellRunSpaceProperty = DependencyProperty.Register("powershellRunSpace", typeof(Runspace), typeof(PowershellActivity));
        [Description("powershellRunSpace")]
        [Category("powershellRunSpace Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public Runspace powershellRunSpace
        {
            get
            {
                return ((Runspace)(base.GetValue(PowershellActivity.powershellRunSpaceProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.powershellRunSpaceProperty, value);
            }
        }

        //Usage: Stores the powershell script to be executed
        public static DependencyProperty executePowershellScriptProperty = DependencyProperty.Register("executePowershellScript", typeof(string), typeof(PowershellActivity));
        [Description("executePowershellScript")]
        [Category("executePowershellScript Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string executePowershellScript
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.executePowershellScriptProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.executePowershellScriptProperty, value);
            }
        }

        //Usage: Stores the start time of an activity
        public static DependencyProperty ActionStartTimeProperty = DependencyProperty.Register("ActionStartTime", typeof(DateTime), typeof(PowershellActivity));
        [Description("ActionStartTime")]
        [Category("ActionStartTime Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public DateTime ActionStartTime
        {
            get
            {
                return ((DateTime)(base.GetValue(PowershellActivity.ActionStartTimeProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.ActionStartTimeProperty, value);
            }
        }

        //Usage: Stores the workflow start time
        public static DependencyProperty workFlowStartTimeProperty = DependencyProperty.Register("workFlowStartTime", typeof(DateTime), typeof(PowershellActivity));
        [Description("workFlowStartTime")]
        [Category("workFlowStartTime Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public DateTime workFlowStartTime
        {
            get
            {
                return ((DateTime)(base.GetValue(PowershellActivity.workFlowStartTimeProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.workFlowStartTimeProperty, value);
            }
        }

        //Stores the message for the eventlog, is updated by all activities in this workflow
        public static DependencyProperty eventLogMessageProperty = DependencyProperty.Register("eventLogMessage", typeof(string), typeof(PowershellActivity));
        [Description("eventLogMessage")]
        [Category("eventLogMessage Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public string eventLogMessage
        {
            get
            {
                return ((string)(base.GetValue(PowershellActivity.eventLogMessageProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.eventLogMessageProperty, value);
            }
        }

        //Usage: Stores all attributes and values to be used when resolving parameters before executing powershell
        public static DependencyProperty requestDictionaryProperty = DependencyProperty.Register("requestDictionary", typeof(Dictionary<String, ArrayList>), typeof(PowershellActivity));
        [Description("requestDictionary")]
        [Category("requestDictionary Category")]
        [Browsable(true)]
        [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
        public Dictionary<String, ArrayList> requestDictionary
        {
            get
            {
                return ((Dictionary<String, ArrayList>)(base.GetValue(PowershellActivity.requestDictionaryProperty)));
            }
            set
            {
                base.SetValue(PowershellActivity.requestDictionaryProperty, value);
            }
        }

        #endregion

        #region Common Functions

        //Usage: Add text to eventlogmessage depending on current logging level
        public void AddEventLogMessage(String messageText, int requiredLogLevel)
        {
            if (this.loggingLevel >= requiredLogLevel && !string.IsNullOrEmpty(messageText))
                this.eventLogMessage += messageText + Environment.NewLine;
        }

        //Usage: Updates the requestDictionary dependency property adds new if not exists or update existing keys 
        //
        //Input: Key = name of the attribute to add/update
        //       value = value of the attribute
        //
        //Output: resultDictionary dependency property
        //
        private void UpdateDictionary(String key, String value)
        {
            try
            {
                ArrayList myArrayList = new ArrayList();

                if (!this.requestDictionary.ContainsKey(key))
                {
                    myArrayList.Add(value);
                    this.requestDictionary.Add(key, myArrayList);
                }
                else
                {
                    this.requestDictionary.TryGetValue(key, out myArrayList);
                    this.requestDictionary.Remove(key);
                    myArrayList.Add(value);
                    this.requestDictionary.Add(key, myArrayList);

                }
            }
            catch (Exception e)
            {
            }
        }

        //Usage: Resolve a parameter from the requestDictionary
        //
        //Input: unresolvedParameter = [//xxx/yyy] where xxx is type and yyy is attribute
        //       Example: [//target/FirstName], [//credential/user]
        //  
        //       requestDictionary that contains all request parameters and values
        //
        //Output: ArrayList of all values
        //
        private ArrayList ResolveRequestParameter(String unresolvedParameter)
        {
            ArrayList values = new ArrayList();

            //Try to find a resolved value from request parameters
            try
            {
                if (this.requestDictionary.TryGetValue(unresolvedParameter, out values))
                {
                    if (values.Count > 0)
                    {
                        AddEventLogMessage("- Resolved '" + unresolvedParameter + "' value(s) from request parameters", 3);
                        if (loggingLevel >= 3)
                            foreach (String item in values) { AddEventLogMessage(" '" + item + "'", 3); }
                    }
                }
                else
                {
                    AddEventLogMessage("! No values was resolved from '" + unresolvedParameter + "' request parameters", 3);
                }

                return values;
            }
            catch (Exception ex) { }

            AddEventLogMessage("! Unable to resolve '" + unresolvedParameter + "' from request parameters", 2);
            return null;
        }

        //Validate if textline is not commented or blank, used to exlude lines not to be resolvedor used inconfiguration.
        public bool IsValidTextLine(String text)
        {
            if (String.IsNullOrEmpty(text)) { return false; }
            if (text.StartsWith("'") || text.StartsWith(";") || text.StartsWith("#"))
            { return false; }
            return true;
        }

        //Usage: Resolve UnresolvedID to a target guid used to select target object
        //       Resolves the target inthe following order {Specified GUID}, {From Request parameters}, {From Result Parameters}
        //
        //Input: An uresolved parameter with the format [//xxx/yyy]
        //
        //Output: GuidRef   - The guid of the resolved resource
        //
        private void ResolveActorTargetID(String UnresolvedID, ref Guid GuidRef)
        {
            String resultGuid = null;
            String resolvedGuid = null;
            ArrayList guidArray = new ArrayList();

            if (!IsValidTextLine(UnresolvedID)) AddEventLogMessage("- Unable to resolve '" + UnresolvedID + "', defaulting to current : " + GuidRef.ToString(), 3);
            else
            {
                //Check if specific guid is specified
                resolvedGuid = this.guidRegEx.Match(UnresolvedID).Value.ToString();
                if (!String.IsNullOrEmpty(resolvedGuid))
                {
                    GuidRef = new Guid(resolvedGuid);
                    resultGuid = resolvedGuid;
                    AddEventLogMessage("- Specified by GUID : " + GuidRef.ToString(), 3);
                }
                else
                {

                    //Try resolve from request parameters
                    guidArray = ResolveRequestParameter(UnresolvedID);

                    //Check if guid was resolved
                    if (guidArray == null || guidArray.Count == 0) resultGuid = this.guidRegEx.Match(guidArray[0].ToString()).Value.ToString();

                    //Return ActorID if found
                    if (!String.IsNullOrEmpty(resultGuid))
                    {
                        GuidRef = new Guid(resultGuid);
                        AddEventLogMessage("- Resolved '" + UnresolvedID + "' to resource guid : " + GuidRef.ToString(), 3);
                    }
                    else
                    {
                        AddEventLogMessage("- Unable to resolve guid from '" + UnresolvedID + "', Defaulting to current : " + GuidRef.ToString(), 3);

                    }
                }

            }
        }

        #endregion

        //Function: Initilizes the workflow by setting starttime and add some information to eventlog message
        private void InitWorkflowActivity_ExecuteCode(object sender, EventArgs e)
        {
            this.workFlowStartTime = DateTime.Now;
            this.eventLogMessage = "";

            AddEventLogMessage("[Workflow configuration information]", 1);
            AddEventLogMessage("Powershell Activity Name : " + this.activityName, 1);
            AddEventLogMessage("Logging level : " + this.loggingLevel.ToString(), 1);
            AddEventLogMessage("Activity enabled : " + this.enableActivity.ToString(), 1);
#if DEBUG
            AddEventLogMessage("[Warning], Running in debug mode, performance will be affected ", 0);
#endif
        }

        //Function: Add all existing WorkflowData attributes and values into requestDictionary property
        //
        //Output:   requestDictionary - Format :[//WorkFlowData/{attribute}]
        private void initReadWorkflowData_ExecuteCode(object sender, EventArgs e)
        {
            this.requestDictionary = new Dictionary<string, ArrayList>();
            AddEventLogMessage(Environment.NewLine + "[Configured poweshell parameters]", 2);
            AddEventLogMessage(this.powershellParameters, 2);
            AddEventLogMessage(Environment.NewLine + "[Read WorkflowData from current request]", 1);

            // In order to read the Workflow Dictionary we need to get the containing (parent) workflow
            SequentialWorkflow containingWorkflow = null;
            if (!SequentialWorkflow.TryGetContainingWorkflow(this, out containingWorkflow))
                throw new InvalidOperationException("Could not get parent workflow!");

            if (containingWorkflow.WorkflowDictionary.Count > 0)
            {
                AddEventLogMessage("- Found " + containingWorkflow.WorkflowDictionary.Count.ToString() + " WorkFlowData entrys to fetch", 1);
                foreach (KeyValuePair<String, object> item in containingWorkflow.WorkflowDictionary)
                {
                    ArrayList myValues = new ArrayList();
                    if (item.Value is Array) myValues.AddRange((Object[])item.Value);
                    else if (item.Value is ArrayList) myValues.AddRange((ArrayList)item.Value);
                    else myValues.Add(item.Value);

                    foreach (Object value in myValues)
                    {
                        AddEventLogMessage("- Add requestParameter [//WorkflowData/" + item.Key.ToString() + "] = " + value.ToString(), 2);
                        UpdateDictionary("[//WorkflowData/" + item.Key.ToString() + "]", value.ToString());
                    }
                }
            }
            else AddEventLogMessage("- No WorkFlowData found in the request", 2);

            if (currentRequestActivity1_CurrentRequest1.Operation != OperationType.Delete) executeReadTargetResource = true; else executeReadTargetResource = false;
        }

        //Function: Initialize the readresourceactivity by populate attributes to read from target resource
        //          Takes input from the powershell parameters on activitysettingspart and enumerate and resolve all [//xxx/yyy]
        //          xxx = type of modification    {target|targetmodify}
        //          yyy = name of attribute       {FirstName}
        //
        //Input:
        //
        //Output:
        //
        private void initReadResource_ExecuteCode(object sender, EventArgs e)
        {
            SequentialWorkflow containingWorkflow = null;
            if (!SequentialWorkflow.TryGetContainingWorkflow(this, out containingWorkflow))
            { throw new InvalidProgramException(); }

            //Resolve targetID from workflow
            //This will be used to switch from witch target to read from when resolving powershell parameters [//Target/attributename]
            //If not resolved or empty the default resource from current request is used
            AddEventLogMessage(Environment.NewLine + "[Resolve Read Target ResourceID]", 3);
            this.readResourceActivity1_ResourceId1 = containingWorkflow.TargetId;
            Guid resourceID = this.readResourceActivity1_ResourceId1;
            ResolveActorTargetID(readTargetResourceIdParameter, ref resourceID);
            readResourceActivity1_ResourceId1 = resourceID;

            //Resolve the ActorID from PSActorID specified in the ActivitySettings
            //This will switch the actorID to execute the read target asforexample to elevate the permission
            //If not resolved or empty the default actorID from current request is used
            AddEventLogMessage(Environment.NewLine + "[Resolve Read Target ActorID]", 3);
            this.readResourceActivity1_ActorId1 = containingWorkflow.ActorId;
            Guid actorID = this.readResourceActivity1_ActorId1;
            ResolveActorTargetID(ActorID_Read, ref actorID);
            readResourceActivity1_ActorId1 = actorID;

            AddEventLogMessage(Environment.NewLine + "[Read Target Resource]", 1);

            //Populate attributes to read from target from parameters
            List<String> targetSearchAttributes = new List<String>();
            String powerShellParameters = this.powershellParameters;

            //If update ActorID is defined as a target attribute include this parameter in the list to read from target
            if (ActorID_Update.ToLower().StartsWith("[//target/"))
            {
                powerShellParameters += Environment.NewLine + ActorID_Update;
            }

            foreach (String line in powerShellParameters.Split(Environment.NewLine.ToCharArray(), StringSplitOptions.RemoveEmptyEntries))
            {
                //Skip comment lines
                if (!IsValidTextLine(line)) { continue; }

                //Get all parameters with format [//xxxx/yyyy]
                foreach (Match match in parameterRegEx.Matches(line))
                {

                    //split parameter definition into two parts
                    //Exemple : [//target/Firstname] is plit into target & FirstName
                    String matchValue = match.Value;
                    String[] parts = match.Value.TrimStart('[').TrimEnd(']').Trim('/').Split('/');

                    switch (parts[0].ToLower())
                    {
                        case "target":
                        case "targetmodify":
                            if (!String.IsNullOrEmpty(parts[1]))
                            {
                                if (!targetSearchAttributes.Contains(parts[1])) targetSearchAttributes.Add(parts[1]);
                            }
                            else
                            {
                                AddEventLogMessage("!Warning missing attribute name inline : " + line, 2);
                            }
                            break;
                    }

                }
            }

            if (targetSearchAttributes.Count > 0 | loggingLevel > 3)
            {
                AddEventLogMessage("- Read from target resource  : " + readResourceActivity1_ResourceId1.ToString(), 1);
                AddEventLogMessage("- ActorID to use for reading : " + readResourceActivity1_ActorId1.ToString(), 1);

                AddEventLogMessage("- Read " + targetSearchAttributes.Count.ToString() + " attribut(s) from target", 1);
                this.readResourceActivity1_SelectionAttributes1 = targetSearchAttributes.ToArray();
                foreach (String attribute in targetSearchAttributes)
                    AddEventLogMessage("  {" + attribute + "}", 3);
            }

            ActionStartTime = DateTime.Now;
        }

        //Function: Add result from read target resource, includes time to execute and result
        //          And if logging level is 4 or higher all resource property information is added to log.
        private void loggReadTargetTime_ExecuteCode(object sender, EventArgs e)
        {
            TimeSpan actionTimeSpan = DateTime.Now.Subtract(ActionStartTime);
            AddEventLogMessage("- Read target resource execution time = " + actionTimeSpan.ToString(), 1);

            //If logging level is 4 or higher all resource property information is logged 
            if (loggingLevel > 3)
            {
                AddEventLogMessage(Environment.NewLine + "[Resource property information]", 4);
                if (readResourceActivity1_Resource1 != null)
                {
                    foreach (KeyValuePair<String, ResourcePropertyInfo> item in readResourceActivity1_Resource1.ResourceProperties)
                    {
                        String temp = null;
                        if (item.Value.MaxOccurs == 1) temp += ", Single-valued";
                        else temp += ", Multi-valued";
                        if (item.Value.MinOccurs == 1) temp += ", Is required";
                        AddEventLogMessage(" {" + item.Value.Name + "}" + temp, 4);
                    }
                }
            }
        }

        //Function: Builds a dictionary of all request attributes to be used as powershell parameters
        //          Resolves the parameters from the activitysettingspart into dependency property requestDictionary
        //
        //Input:    [RequestType]currentrequest
        //
        //Output:   [dictionary]requestDictionary
        private void resolveParameterValues_ExecuteCode(object sender, EventArgs e)
        {
            ActionStartTime = DateTime.Now;
            String prmValue = null;

            RequestType currentRequest = currentRequestActivity1_CurrentRequest1;
            ReadOnlyCollection<CreateRequestParameter> requestParameters = currentRequest.ParseParameters<CreateRequestParameter>();

            AddEventLogMessage(Environment.NewLine + "[Resolve parameter attribute values]", 1);
            AddEventLogMessage("- Found " + currentRequest.RequestParameters.Count.ToString() + " requestParameters", 1);

            //Add operation and function values to requestDictionary
            UpdateDictionary("[//Operation/Requestor]", currentRequest.Creator.ToString());
            UpdateDictionary("[//Operation/Target]", currentRequest.Target.ToString());
            UpdateDictionary("[//Operation/TargetObjectType]", currentRequest.TargetObjectType.ToString());
            UpdateDictionary("[//Operation/OperationType]", currentRequest.Operation.ToString());
            UpdateDictionary("[//Operation/CreatedTime]", currentRequest.CreatedTime.ToString());
            UpdateDictionary("[//Operation/RequestStatus]", currentRequest.RequestStatus.ToString());
            UpdateDictionary("[//Function/LogLevel]", this.loggingLevel.ToString().ToString());
            if (!String.IsNullOrEmpty(activityName)) { UpdateDictionary("[//Function/ActivityName]", this.activityName); }

            //Add all attribute changes from request to requestDictionary
            switch (currentRequest.Operation)
            {
                case OperationType.Create:

                    foreach (CreateRequestParameter createRequestParameter in requestParameters)
                    {
                        if (createRequestParameter.Value != null) prmValue = createRequestParameter.Value.ToString();
                        else prmValue = null;
                        UpdateDictionary("[//RequestCreate/" + createRequestParameter.PropertyName + "]", prmValue);

                    }
                    break;

                case OperationType.Put:

                    foreach (UpdateRequestParameter updateRequestParameter in requestParameters)
                    {
                        if (updateRequestParameter.Value == null) prmValue = null;
                        else prmValue = updateRequestParameter.Value.ToString();
                        UpdateDictionary("[//Request" + updateRequestParameter.Mode.ToString() + "/" + updateRequestParameter.PropertyName + "]", prmValue);
                    }
                    break;
            }

            //Get activitysettingspart configuration for powershell unresolved parameters from dependency property 
            String allPowershellParameters = this.powershellParameters;

            //Add Update Target ActorID from configuration if specified in activitysettingspart configuraton
            if (this.ActorID_Update.ToLower().StartsWith("[//target/"))
            {
                allPowershellParameters += Environment.NewLine + ActorID_Update;
            }

            //Add all additional attribute specified by powershell parameters that is not generated by the request
            //Target values is fetched from the readResourceActivity
            //Credential is fetched from SettingsPart configuration
            foreach (String line in allPowershellParameters.Split(Environment.NewLine.ToCharArray(), StringSplitOptions.RemoveEmptyEntries))
            {
                //Skip lines marked as comment
                if (!IsValidTextLine(line)) { continue; }

                foreach (Match match in parameterRegEx.Matches(line))
                {
                    if (requestDictionary.ContainsKey(match.Value)) { continue; }

                    String[] parts = match.Value.TrimStart('[').TrimEnd(']').Trim('/').Split('/');

                    switch (parts[0].ToLower())
                    {
                        case "target":
                        case "targetmodify":

                            if (readResourceActivity1_Resource1[parts[1]] != null)
                            {
                                switch (readResourceActivity1_Resource1.ResourceProperties[parts[1]].MaxOccurs)
                                {
                                    case 1:
                                        UpdateDictionary(match.Value, readResourceActivity1_Resource1[parts[1]].ToString());
                                        break;

                                    default:
                                        foreach (object value in (String)readResourceActivity1_Resource1[parts[1]])
                                        {
                                            UpdateDictionary(match.Value, value.ToString());
                                        }
                                        break;
                                }
                            }
                            else
                            {
                                UpdateDictionary(match.Value, null);
                            }
                            break;

                        case "credential":
                        case "credentials":
                            switch (parts[1].ToLower())
                            {
                                case "user":
                                case "usr":
                                case "username":
                                    UpdateDictionary(match.Value, this.RemoteUser);
                                    break;

                                case "password":
                                case "pwd":
                                    UpdateDictionary(match.Value, this.RemotePassword);
                                    break;

                                case "domain":
                                    if (RemoteUser.Contains('\\')) { UpdateDictionary(match.Value, RemoteUser.Split('\\')[0]); }
                                    if (RemoteUser.Contains('\\')) { UpdateDictionary(match.Value, RemoteUser.Split('/')[0]); }
                                    break;

                            }
                            break;
                    }
                }
            }

            //Add all resolved values to eventlog message
            foreach (KeyValuePair<String, ArrayList> key in requestDictionary)
            {
                switch (key.Value.Count)
                {
                    case 1:
                        if (key.Value[0] == null)
                        { AddEventLogMessage(" " + key.Key.Trim('[', ']') + " is null", 2); }
                        else
                        { AddEventLogMessage(" " + key.Key.Trim('[', ']') + " = " + key.Value[0], 2); }
                        break;

                    default:
                        if (loggingLevel > 2)
                        {
                            foreach (String mvalue in key.Value)
                            {
                                AddEventLogMessage(" " + key.Key.Trim('[', ']') + " = " + mvalue, 3);
                            }
                        }
                        else AddEventLogMessage(" " + key.Key.Trim('[', ']') + " contains " + key.Value.Count.ToString() + " values", 2);
                        break;

                }
            }

            TimeSpan ActionTimeSpan = DateTime.Now.Subtract(ActionStartTime);
            AddEventLogMessage("- Resolve Parameter Values execution time = " + ActionTimeSpan.ToString(), 1);
        }

        //Function: Executes the powershell script
        //
        //Input:    [Dependency Property], from activitySettingsPart
        //          (String)powershellParameters
        //          (String)RemoteServer,RemoteUser,RemotePassword
        //          (String)executePowershellScript
        //          (Dictionary)requestDictionary
        //
        //Output:   (HashTable)resultHashTable
        //
        private void executePowershell_ExecuteCode(object sender, EventArgs e)
        {
            ActionStartTime = DateTime.Now;

            PowershellUtils myPowershellUtils = new PowershellUtils();

            RequestType currentRequest = currentRequestActivity1_CurrentRequest1;
            String parameters = powershellParameters;

            //openRunSpaceStartTime = DateTime.Now;

            //Open runspace for powershell
            //if remoteserver is not specified a local runspace will be crated
            Runspace myRunSpace = null;
            try
            {
                AddEventLogMessage(Environment.NewLine + "[Open Powershell Runspace]", 1);
                if (IsValidTextLine(RemoteServer))
                {
                    if (!IsValidTextLine(RemotePassword))
                    { AddEventLogMessage("[warning],Remote password is not specified or empty", 2); }
                    else { AddEventLogMessage("Remote password is specified", 3); }
                    AddEventLogMessage("- Open remote runspace on server:" + RemoteServer + ", user:" + RemoteUser, 1);
                    myRunSpace = myPowershellUtils.OpenRunSpace(RemoteServer, RemoteUser, myPowershellUtils.ConvertToSecureString(RemotePassword));
                }
                else
                {
                    AddEventLogMessage("- Remote server notspecified, Open local runspace", 1);
                    myRunSpace = myPowershellUtils.OpenRunSpace(null, null, null);
                }
            }
            catch (Exception ex)
            {
                AddEventLogMessage(ex.Message, 0);
                throw new Exception(ex.Message, ex.InnerException);
            }

            //Create Powershell
            PowerShell myPowershell = PowerShell.Create();
            myPowershell.Runspace = myRunSpace;

            //add plugins to used
            if (IsValidTextLine(this.powershellCmdLetPlugins)) myPowershellUtils.AddPlugins(this.powershellCmdLetPlugins, ref myRunSpace);

            //Add CmdLet Script to execute
            myPowershell = PowerShell.Create();
            myPowershell.Runspace = myRunSpace;
            myPowershell.AddScript(executePowershellScript);

            //Add parameters to powershell command
            //Boolean strings must be converted to boolean values.
            AddEventLogMessage(Environment.NewLine + "[Add PowerShell input parameters]", 2);
            foreach (String parameterLine in powershellParameters.Split(Environment.NewLine.ToCharArray(), StringSplitOptions.RemoveEmptyEntries))
            {
                String parameter = parameterLine.Trim(' ').TrimStart('-');
                if (!IsValidTextLine(parameter)) continue;
                String parameterName = parameter.Split(' ')[0];
                String parameterKey = parameter.Remove(0, parameterName.Length + 1);
                switch (parameterKey.ToLower())
                {

                    //Add boolean parameters values to powershell
                    case "true":
                    case "false":
                        myPowershell.AddParameter(parameterName, Convert.ToBoolean(parameterKey));
                        AddEventLogMessage("-" + parameterName + " = " + parameterKey, 2);
                        break;

                    //Add the rest of values 
                    default:
                        ArrayList parameterValues = new ArrayList();
                        if (parameterRegEx.Match(parameterKey).Length > 0)
                        {
                            //Add resolved value(s) from the request dictionary
                            if (requestDictionary.TryGetValue(parameterKey, out parameterValues))
                                if (parameterValues.Count > 1)
                                    myPowershell.AddParameter(parameterName, parameterValues.ToArray());
                                else myPowershell.AddParameter(parameterName, parameterValues[0]);
                        }
                        else if (!String.IsNullOrEmpty(parameterKey))
                        {
                            //Add the unresolved static text as a parameter
                            myPowershell.AddParameter(parameterName, parameterKey.Trim('\"').Trim('\''));
                            AddEventLogMessage("-" + parameterName + " = " + parameterKey.Trim('\"').Trim('\''), 2);
                        }


                        if (parameterValues != null)
                            foreach (String item in parameterValues) AddEventLogMessage("-" + parameterName + " = " + item, 2);

                        break;
                }
            }

            AddEventLogMessage(Environment.NewLine + "[Execute powershell]", 1);

            //Execute powershell and get returning psObjects
            ICollection<PSObject> psObjects = null;
            string errorMsg = null;
            if (!myPowershellUtils.ExecutePowershell(myPowershell, ref psObjects, ref errorMsg, false))
            {
                AddEventLogMessage("[Error], Command failed to execute : " + errorMsg, 0);
                WriteToEventLog_ExecuteCode(sender, e);
                throw new Exception("- Powershell execution error : " + errorMsg);
            }
            else
            {
                if (myPowershell.Streams.Warning.Count > 0)
                {
                    AddEventLogMessage("[Warning], Command executed with following warning" + myPowershell.Streams.Warning[0].Message + Environment.NewLine, 0);
                    EventLog.WriteEntry(this.activityName, this.eventLogMessage, EventLogEntryType.Warning, 1000);
                }
                else if (myPowershell.Streams.Error.Count > 0)
                {
                    AddEventLogMessage("[Error], Command executed with following error" + myPowershell.Streams.Error[0].Exception.Message + Environment.NewLine, 0);
                    EventLog.WriteEntry(this.activityName, this.eventLogMessage, EventLogEntryType.Error, 2000);
                }
                else AddEventLogMessage("- Sucess: Command completed successfully ", 1);
            }

            TimeSpan timeSpan = DateTime.Now.Subtract(ActionStartTime);
            AddEventLogMessage("- Powershell execution time = " + timeSpan.ToString(), 1);

            //Populate the resultHashTable from the powershell PSObjects result
            if (psObjects.Count > 0)
            {
                if (psObjects.Count == 1) AddEventLogMessage("- Powershell returned 1 PSObject", 2);
                else if (psObjects.Count > 1) AddEventLogMessage("[Warning] Powershell returned " + psObjects.Count.ToString() + " Powershell Objects, unly first will be used, Check powershell script syntax.", 2);

                //Return first valid psObject
                foreach (PSObject psObject in psObjects) if (resultHashTable == null)
                    {
                        if (psObject.BaseObject is Hashtable) { this.resultHashTable = (Hashtable)psObject.BaseObject; break; }
                        else { AddEventLogMessage("{Warning}, returned PSObject is not a HashTable type, Skipping object", 2); }
                    }
                if (resultHashTable.Keys.Count > 0)
                {
                    AddEventLogMessage("- Returned " + resultHashTable.Keys.Count.ToString() + " parameters", 2);
                    foreach (String item in resultHashTable.Keys) AddEventLogMessage(" {" + item + "}", 3);
                }

            }
            else resultHashTable = null;
        }

        //Function: Get powershell script to execute in folowing order
        //          1. Load from activitySettings configuration if specified
        //          2. Load from file if specified and found
        //
        //Input:    PowershellCmdLetScript
        //          PowershellCmdLetFile
        //
        //Output:   executePowershellScript
        //
        private void getPowershellCmdLetScript_ExecuteCode(object sender, EventArgs e)
        {

            //Get PS script from configuration or file
            AddEventLogMessage(Environment.NewLine + "[Reading PowerShell Script]", 1);
            if (IsValidTextLine(this.PowershellCmdLetScript))
            {
                AddEventLogMessage("- Reading script from activity configuration", 1);
                executePowershellScript = this.PowershellCmdLetScript;
            }
            else if (IsValidTextLine(PowershellCmdLetFile))
            {
                AddEventLogMessage("- Reading script from file : " + PowershellCmdLetFile, 1);
                if (File.Exists(PowershellCmdLetFile)) executePowershellScript = File.ReadAllText(this.PowershellCmdLetFile);
                else AddEventLogMessage("[Error], File not found", 1);
            }
            else AddEventLogMessage("{Error}, Failed to read powershell script from either configuration or file" + Environment.NewLine + "# Check if script is defined in activity configuration or if specified file exist", 1);

            if (!String.IsNullOrEmpty(executePowershellScript))
                AddEventLogMessage(Environment.NewLine + "==================== Start PowerShell script ====================" + Environment.NewLine + executePowershellScript + Environment.NewLine + "===================== End PowerShell script =====================", 3);
            else
            {
                WriteToEventLog_ExecuteCode(sender, e);
                throw new Exception("PowerShell cmdlet script is not specified, exit execute PowerShell");
            }
        }

        //Function: Init the UpdateResourceActivity1 with values to upate the target resource
        //
        //Input :   containingWorkFlow.WorkflowDictionary 
        //          currentRequestActivity1_CurrentRequest1
        //          resultHashTable                             ;Populated with result from the execuded powershell
        //          targetUpdateParameters                      ;Config parameters mapping powershell result to attributes to update on the target resource
        //          updateTargetResourceIdParameter             ;Config parameter specifying the target resource to update
        //          ActorID_Update                              ;Config parameter specifying witch context to use for the operation 
        //
        //Output :  updateResourceActivity1_UpdateParameters1
        //          containingWorkFlow.WorkflowDictionary
        //
        private void initUpdateTargetActivity_ExecuteCode(object sender, EventArgs e)
        {
            RequestType currentRequest = currentRequestActivity1_CurrentRequest1;

            //updateWorkFlowDataDictionary = new Dictionary<string, ArrayList>();
            ArrayList tergetGUID = new ArrayList();

            //Add configured target update parameters
            AddEventLogMessage(Environment.NewLine + "[Configured Update Target Parameters]", 2);
            AddEventLogMessage(targetUpdateParameters, 2);

            //Get parent workflow
            SequentialWorkflow containingWorkFlow = null;
            if (!SequentialWorkflow.TryGetContainingWorkflow(this, out containingWorkFlow))
            {
                throw new InvalidOperationException("[Error], Couldnot get parent workflow");
            }

            //Resolve the resourceID to specify witch resource to update.
            Guid targetID = containingWorkFlow.TargetId;
            AddEventLogMessage(Environment.NewLine + "[Resolve Update Resource ID]", 3);
            ResolveActorTargetID(updateTargetResourceIdParameter, ref targetID);
            updateResourceActivity1_ResourceId1 = targetID;

            //Resolve the ActorID to specify under witch context the update should be performed.
            Guid actorID = containingWorkFlow.ActorId;
            AddEventLogMessage(Environment.NewLine + "[Resolve Update ActorID]", 3);
            ResolveActorTargetID(ActorID_Update, ref actorID);
            updateResourceActivity1_ActorId1 = actorID;

            List<UpdateRequestParameter> myUpdateRequestParameters = new List<UpdateRequestParameter>();

            AddEventLogMessage(Environment.NewLine + "[Create UpdateRequestParameter and update WorkFlowData]", 2);
            foreach (String line in targetUpdateParameters.Split(Environment.NewLine.ToCharArray(), StringSplitOptions.RemoveEmptyEntries))
            {
                if (!IsValidTextLine(line)) continue;

                String parameter = line.Split(" ".ToCharArray(), 2)[0].Trim(' ').TrimStart('-');
                String target = line.Substring(line.IndexOf(" ") + 1).Trim(' ');

                String targetType = target.Trim('[', ']', '/').Split('/')[0];
                String targetAttribute = target.Trim('[', ']', '/').Split('/')[1];

                object entry = null;

                //Get the Value from the HashTable entry or continue evaluating next line
                if (resultHashTable.ContainsKey(parameter)) { entry = (object)resultHashTable[parameter]; }
                else continue;

                ArrayList myValues = new ArrayList();
                if (entry is Array) myValues.AddRange((Object[])entry);
                else if (entry is ArrayList) myValues.AddRange((ArrayList)entry);
                else myValues.Add(entry);

                switch (targetType.ToLower())
                {
                    //concats multivalues to singlevalue
                    case "targetconcat":
                        //Not implemented
                        break;

                    //Sets a multivalue attribute to new values and clears the old values before.
                    case "targetset":
                        myUpdateRequestParameters.Add(new UpdateRequestParameter(targetAttribute, UpdateMode.Modify, null));
                        foreach (Object value in myValues)
                            myUpdateRequestParameters.Add(new UpdateRequestParameter(targetAttribute, UpdateMode.Insert, value));
                        break;

                    //Create modify request, if source is multivalued the first value will be used
                    case "target":
                    case "targetmodify":
                        myUpdateRequestParameters.Add(new UpdateRequestParameter(targetAttribute, UpdateMode.Modify, myValues[0]));
                        break;

                    //Insert values into multivalued attributes
                    case "targetinsert":
                    case "targetadd":
                        foreach (Object value in myValues)
                            myUpdateRequestParameters.Add(new UpdateRequestParameter(targetAttribute, UpdateMode.Insert, value));
                        break;

                    //Remove values from multivalued attributes
                    case "targetremove":
                    case "targetdel":
                    case "targetdelete":
                        foreach (Object value in myValues)
                            myUpdateRequestParameters.Add(new UpdateRequestParameter(targetAttribute, UpdateMode.Remove, value));
                        break;

                    //Add workflowdata attribute to workflow
                    case "workflowdata":

                        object currentAttributeValues = null;
                        if (containingWorkFlow.WorkflowDictionary.TryGetValue(targetAttribute, out currentAttributeValues))
                        {
                            AddEventLogMessage("- Update existing WorkFlowData attribute : " + targetAttribute, 2);
                            ArrayList tempValues = new ArrayList();
                            if (currentAttributeValues is Array) myValues.AddRange((Object[])currentAttributeValues);
                            else if (currentAttributeValues is ArrayList) myValues.AddRange((ArrayList)currentAttributeValues);
                            else myValues.Add(currentAttributeValues);
                            containingWorkFlow.WorkflowDictionary.Remove(targetAttribute);
                            containingWorkFlow.WorkflowDictionary.Add(targetAttribute, myValues.ToArray());
                        }
                        else
                        {
                            AddEventLogMessage("- Add WorkFlowData attribute : " + targetAttribute, 2);
                            containingWorkFlow.WorkflowDictionary.Add(targetAttribute, myValues.ToArray());
                        }

                        foreach (Object value in myValues) AddEventLogMessage(targetAttribute + " = " + value.ToString(), 2);
                        break;

                    default:
                        AddEventLogMessage("[Warning], Type <" + targetType + "> is not supported, use Target,Target,TargetInsert,TargetRemove or WorkFlowData", 2);
                        break;
                }

            }

            //Set UpdateRequestParametes on the updateResourceActivity
            if (myUpdateRequestParameters != null && myUpdateRequestParameters.Count > 0)
            {
                updateResourceActivity1_UpdateParameters1 = myUpdateRequestParameters.ToArray<UpdateRequestParameter>();
                AddEventLogMessage("- Add following UpdateRequestParameter(s)", 2);
                foreach (UpdateRequestParameter item in updateResourceActivity1_UpdateParameters1)
                    AddEventLogMessage(item.Mode.ToString() + " " + item.Value.ToString() + " on " + item.PropertyName.ToString(), 2);
            }

            AddEventLogMessage(Environment.NewLine + "[Commit UpdateRequestParameters to resource]", 1);
            AddEventLogMessage("- Update resource : " + updateResourceActivity1_ResourceId1.ToString(), 1);
            AddEventLogMessage("- Update actorID = " + updateResourceActivity1_ActorId1.ToString(), 1);

            ActionStartTime = DateTime.Now;
        }

        private void logUpdateTargetTime_ExecuteCode(object sender, EventArgs e)
        {
            TimeSpan ActionTimeSpan = DateTime.Now.Subtract(ActionStartTime);
            AddEventLogMessage("- Update target execution time = " + ActionTimeSpan.ToString(), 1);
        }

        private void handleDeleteOperation_ExecuteCode(object sender, EventArgs e)
        {
            //Handle delete operations
            AddEventLogMessage(Environment.NewLine + "[Delete Operation]", 3);
            AddEventLogMessage("- Operation is not handled by this activity", 3);
        }

        private void WriteToEventLog_ExecuteCode(object sender, EventArgs e)
        {

            if (this.loggingLevel > 0)
            {
                DateTime endDate = DateTime.Now;
                TimeSpan timeSpan = endDate.Subtract(this.workFlowStartTime);

                AddEventLogMessage(Environment.NewLine + "[Powershell workflow activity finished]", 1);
                AddEventLogMessage("Total execution time : " + timeSpan.ToString(), 1);

                //Use specified eventlog other than Application
                if (!string.IsNullOrEmpty(eventLogName) && (EventLog.Exists(eventLogName)))
                {

                    //Write message to eventlog
                    using (EventLog mylog = new EventLog(eventLogName,".",this.activityName))
                    {
                        //Register source in eventlog                        
                        if (!EventLog.SourceExists(this.activityName)) EventLog.CreateEventSource(this.activityName, eventLogName);

                        mylog.Source = this.activityName;
                        mylog.WriteEntry(this.eventLogMessage, EventLogEntryType.Information);
                    }
                }
                //Use default Application eventlog
                else { EventLog.WriteEntry(this.activityName, this.eventLogMessage, EventLogEntryType.Information); }
            }
        }

        private void loggNoReadResourceRequired_ExecuteCode(object sender, EventArgs e)
        {
            AddEventLogMessage("- No [//Target/*] specified in powershell parameters, Skip read resource activity because reading properties is not required", 1);
        }

    }
}
